<?
include("../sistem/cfg.dat");
include("../sistem/global.dat");
include("../temes/$teme/verh.dat");

require('functions.php');
?>
<div class="razd">Видео!</div>
<?
if(isset($_GET['c']) && !preg_match('/[^0-9]/',$_GET['c'])) {

$ordFldK[0]='adddate';
$ordFldN[0]='Дате';
$ordFldK[1]='downloaded';
$ordFldN[1]='Популярности';
$ordFldK[2]='size';
$ordFldN[2]='Размеру';
$ordFldK[3]='resolution';
$ordFldN[3]='Разрешению';

$onpage=5;
$p=(isset($_GET['p']) && !preg_match('/[^0-9]/',$_GET['p']))?$_GET['p']:0;
$order=((isset($_GET['o']) && isset($ordFldK[$_GET['o']]))?$_GET['o']:1);
$fn='video_'.$ordFldK[$order].'_'.$_GET['c'];
updateData($fn,'/export/video.php?c='.$_GET['c'].'&o='.$order);
if($data=getData($fn,$p*$onpage,$onpage)) {
foreach($data as $value) {
echo '<p><img src="http://wapnot.ru/t/video.'.$value[0].'.gif" alt=""/><br/><small>Размер: '.round($value[1]/1024).' kB, '.$value[3].'</small><br/><a href="http://wapnot.ru/video/'.$value[0].'.3gp">'.$value[2].'</a></p><div class="razd">Качай тут!</div>';
}

if($p<ceil(getNumRows($fn)/$onpage)-1) {echo '<a href="video.php?p='.($p+1).'&amp;c='.$_GET['c'].'&amp;o='.$order.'&amp;'.SID.'">Далее &gt;&gt;&gt;</a><br/>';}
if($p>0) {echo '<a href="video.php?p='.($p-1).'&amp;c='.$_GET['c'].'&amp;o='.$order.'&amp;'.SID.'">&lt;&lt;&lt; Назад</a>';}
echo '<br/>Упорядочить по:<br/>';
for($i=0;$i<sizeof($ordFldK);$i++) {
if($i==$order) {
echo $ordFldN[$i].'<br/>';
} else {
echo '<a href="video.php?p='.($p-1).'&amp;c='.$_GET['c'].'&amp;o='.$i.'&amp;'.SID.'">'.$ordFldN[$i].'</a><br/> ';
}
}

} else {
echo 'Невозможно получить данные.';
}
echo '<br/>';
echo '<a href="video.php?c='.$_GET['c'].'&amp;'.SID.'">К началу</a><br/>';
echo '<a href="video.php?'.SID.'">К категориям видео!</a><br/>';
echo '<a href="index.php?'.SID.'">К категориям</a><br/>';
} else {
updateData('video','/export/video.php');
if($data=getData('video')) {
foreach($data as $value) {
echo '<a href="video.php?c='.$value[0].'&amp;'.SID.'">'.$value[1].' ('.$value[2].')</a><br/>';
}
} else {
echo 'Невозможно получить список категорий.';
}
}
echo'<a href="../index.php?'.SID.'">На главную</a><br>';
include("../sistem/global_end.dat");
include("../temes/$teme/niz.dat");
?>